> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/52.-abfrage-gerasterte-daten-aus-soildataset-abrufen.md).

# 52. Abfrage: gerasterte Daten aus "SoilDataset" abrufen

Abfrage, um griddierte Daten aus dem Rasterdatensatz zu erhalten, der mit "SoilDataset" zusammenhängt, als `GEOJSON`  mit Punkten oder `GEOTIFF`. Das properties-Attribut enthält alle Datensatzattribute pro Punkt.&#x20;

#### 1. Fordern Sie eine Datei zum Export an

{% hint style="danger" %}
Empfohlen wird, nur einen einzelnen Datensatz mit abzurufen `sourceDataUrl` pro Anfrage.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, und `MinusTwoPixels` sind verfügbar als ein `Puffer`.

`GEOJSON` und `GEOTIFF` sind als ein Format verfügbar.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSoilDataset {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets(soilDatasetUuids: ["<placeholder_of_dataset_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Laden Sie die erzeugte Datei herunter

Nach erfolgreicher Vorbereitung der Datei kann sie mit folgendem Befehl heruntergeladen werden `curl` oder einem ähnlichen Verfahren heruntergeladen werden.

{% hint style="danger" %}
`sourceDataUrl` Link ist nur erreichbar für **60 Sek.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/52.-abfrage-gerasterte-daten-aus-soildataset-abrufen.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
